#### D.4.16.50 interpretList

Procedure from library `modules.lib` (see modules_lib).

Return:
  interpretation of Elements in some abstract structure defined by the user or into a Module

Example:

    LIB "modules.lib";
    ring R;
    matrix a[5][4];
    Module M = coker(a+1);
    Module N = simplePrune(simplePrune(simplePrune(simplePrune(M))));
    Vector V = [x+y],N;
    Vector W = [x2+y2+3*z2],N;
    Vector U = [x+2y+27z],N;
    list L = U,V,W;
    //interpretList(L,3);

User manual for Singular version 4.4.1, 2025, generated by texi2html.